Subject: RE: format of contents of <domain:curExpDate>

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 7 Nov 2002 17:07:00 -0500

> In draft-ietf-provreg-epp-domain-05, section 3.2.3 "EPP <renew> 
> Command", the required format of the characters within the 
> <domain:curExpDate> element is not specified.
> 
> The example which follows contains an element whose contents are 
> formatted as "YYYY-MM-DD", but no reference is made to this in the 
> text. The XML Schema defines the contents as "date", if I'm reading 
> that right, but "date" doesn't appear to be defined within 
> the schemas 
> presented in the EPP and domain mapping drafts, so that's not helping 
> me.
> 
> Elsewhere (e.g. in the <qDate> element described in 
> draft-ietf-provreg-epp-07) dates are required to be in 
> RFC3339 format.  
> It would seem to serve the cause of consistency if this 
> format was also 
> adopted for <domain:curExpDate>, perhaps with a requirement 
> for servers 
> to also support YYYY-MM-DD to accommodate deployed code based on 
> earlier drafts.
> 
> Whatever the format turns out to be, it would be a good thing if the 
> nature of the contents of <domain:curExpDate> could be clearly 
> specified in the domain mapping document.

"date" is a built-in XML Schema data type.  XML Schema is a normative
reference.  The XML Schema specifications describe the format quite clearly.

-Scott-

---

From: Joe Abley <[email-masked]>
Date: Thu, 7 Nov 2002 17:36:33 -0500

On Thursday, Nov 7, 2002, at 17:07 Canada/Eastern, Hollenbeck, Scott 

> reference.  The XML Schema specifications describe the format quite 

Thanks, that does indeed clear it up.

Just out of interest, why was it decided to use "date" in 
<domain:curExpDate>, rather than "dateTime" as used in (e.g.) 
<domain:qDate> and <host:trDate>?

Joe